Index: trip-planner/src/main/java/finki/diplomska/tripplanner/TripPlannerApplication.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/TripPlannerApplication.java	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/TripPlannerApplication.java	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -21,5 +21,4 @@
     }
 
-
     public static void main(String[] args) {
         SpringApplication.run(TripPlannerApplication.class, args);
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/models/Location.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/models/Location.java	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/models/Location.java	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -35,4 +35,6 @@
 
     private int duration;
+
+    private String trivia;
 
     @Lob
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/models/Planner.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/models/Planner.java	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/models/Planner.java	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -26,5 +26,5 @@
     private String description;
 
-    @ManyToMany
+    @ManyToMany()
     @JoinTable(
             name = "planners_contain",
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/repository/jpa/JpaLocationRepository.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/repository/jpa/JpaLocationRepository.java	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/repository/jpa/JpaLocationRepository.java	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -108,3 +108,4 @@
             "WHERE lb.id_category=4", nativeQuery = true)
     List<Location> getVillages();
+
 }
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/repository/jpa/JpaPlannerRepository.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/repository/jpa/JpaPlannerRepository.java	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/repository/jpa/JpaPlannerRepository.java	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -15,3 +15,6 @@
         @Query(value = "SELECT * FROM planners AS p left JOIN users AS u ON p.user_id = u.id WHERE u.username like :username", nativeQuery = true)
         List<Planner> getPlannersByUser(@Param("username") String username );
+
+        @Query(value = "delete from planners_contain WHERE planners_contain.id_location = :locationId", nativeQuery = true)
+        void deleteLocationFromPlanner(@Param("locationId") Long locationId);
 }
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/security/SecurityConfig.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/security/SecurityConfig.java	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/security/SecurityConfig.java	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -76,4 +76,6 @@
                 .antMatchers(SIGN_UP_URLS).permitAll()
                 .antMatchers(MARIADB_URL).permitAll()
+                .antMatchers("/api/weekend").permitAll()
+                .antMatchers("/api/villages").permitAll()
                 .anyRequest().authenticated();
         http.addFilterBefore(jwtAuthenticationFilter(), UsernamePasswordAuthenticationFilter.class);
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/security/SecurityConstants.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/security/SecurityConstants.java	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/security/SecurityConstants.java	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -7,4 +7,4 @@
     public static final String TOKEN_PREFIX= "Bearer ";
     public static final String HEADER_STRING = "Authorization";
-    public static final long EXPIRATION_TIME = 3000_000; //30 seconds
+    public static final long EXPIRATION_TIME = 3000_000; //30 min
 }
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/service/PlannerService.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/service/PlannerService.java	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/service/PlannerService.java	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -17,3 +17,5 @@
         Planner editPlannerWithRequestParams(Long id, String description, String name, List<Location> locationList);
         Optional<Planner> newPlanner(PlannerDto plannerDto, String username);
+        void deletePlannerById(Long id);
+        void deleteLocationFromPlanner(Long locationId);
 }
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/LocationServiceImpl.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/LocationServiceImpl.java	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/LocationServiceImpl.java	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -183,5 +183,3 @@
         return this.locationRepository.getAllLocationIdsForPlanner(plannerId);
     }
-
-
 }
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/PlannerServiceImpl.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/PlannerServiceImpl.java	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/PlannerServiceImpl.java	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -13,5 +13,4 @@
 import org.springframework.stereotype.Service;
 
-import javax.jws.soap.SOAPBinding;
 import java.util.List;
 import java.util.Optional;
@@ -63,4 +62,14 @@
 
     @Override
+    public void deletePlannerById(Long id) {
+        this.plannerRepository.deleteById(id);
+    }
+
+    @Override
+    public void deleteLocationFromPlanner(Long locationId) {
+        this.plannerRepository.deleteLocationFromPlanner(locationId);
+    }
+
+    @Override
     public Planner createPlannerWithRequestParams(String plandesc,String planname, List<Location> locationList) {
         Planner planner = Planner.createNewPlanner(plandesc, planname, locationList);
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/web/rest/LocationRestController.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/web/rest/LocationRestController.java	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/web/rest/LocationRestController.java	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -5,5 +5,4 @@
 import finki.diplomska.tripplanner.service.LocationService;
 import finki.diplomska.tripplanner.service.PlannerService;
-import org.springframework.data.repository.query.Param;
 import org.springframework.http.ResponseEntity;
 import org.springframework.web.bind.annotation.*;
@@ -77,3 +76,4 @@
         return this.locationService.getAllLocationIdsForPlanner(plannerId);
     }
+
 }
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/web/rest/PlannerRestController.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/web/rest/PlannerRestController.java	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/web/rest/PlannerRestController.java	(revision bdd64917749115bbdd228a9569a675d590c112e3)
@@ -84,4 +84,19 @@
     }
 
+    @DeleteMapping("/delete/{id}")
+    public ResponseEntity deleteById(@PathVariable Long id) {
+        this.plannerService.deletePlannerById(id);
+        return this.plannerService.findById(id)
+                .map(planner -> ResponseEntity.ok().body(planner))
+                .orElseGet(()-> ResponseEntity.notFound().build());
+    }
 
+
+    @DeleteMapping(value = "/delete-from-planner")
+    public ResponseEntity deleteLocationFromPlanner(@PathVariable Long locationId){
+        this.plannerService.deleteLocationFromPlanner(locationId);
+        return this.locationService.findById(locationId)
+                .map(location -> ResponseEntity.ok().body(location))
+                .orElseGet(()-> ResponseEntity.notFound().build());
+    }
 }
